Skip to main content
GET
/
api
/
v1
/
openclaw
/
instagram
/
user
/
posts
Posts
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/instagram/user/posts \
  --header 'Authorization: Bearer <token>'

Parameters

handle
string
required
Instagram handle
next_max_id
string
Cursor to get next page of results.
trim
boolean
Set to true to get a trimmed response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/instagram/user/posts?handle=EXAMPLE" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "items": [
      {
        "pk": "...",
        "like_count": 123,
        "comment_count": 45,
        "play_count": 67890
      }
    ]
  },
  "meta": {
    "platform": "instagram",
    "endpoint": "user-posts",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.